package it.prato.comune.sit;

import java.util.HashMap;
import java.util.Map;

import net.sf.json.JSONObject;

public class AdditionalFilterParams {
	private JSONObject jsonParams = null;
	
	public AdditionalFilterServerParams newWMSFilterServerParams(String serverID) {
		return new AdditionalFilterServerParams(getParamsByServerID(serverID));
	}
	
	public AdditionalFilterParams(JSONObject jsonParams) {
		this.jsonParams = jsonParams;
	}
	
	public Map<String, String> getParamsByServerID(String serverID) {
		Map<String, String> retVal = new HashMap<String, String>();
		
		if (serverID!=null && !serverID.equals("")) {
			//System.out.println("ServerID: " + serverID);
			for (Object k :jsonParams.keySet()) {
				Object v = jsonParams.get(k);
				if (JSONObject.class.isAssignableFrom(v.getClass())) {
					if (k.equals(serverID)) {
						for(Object ks: ((JSONObject)v).keySet()){
							Object vs = ((JSONObject)v).get(ks);			
							retVal.put(ks.toString(), vs.toString());
						}
					}
				} else {
					retVal.put(k.toString(), v.toString());
				}
			}
		}
		return retVal;
	}
	/*
	public String getGeoserverParamsString(String serverID) throws UnsupportedEncodingException {
		Map<String, String> p = getParamsByServerID(serverID);
		
		StringBuffer s = new StringBuffer();
		
		if (p.size()>0) {
			s.append("viewparams=");
			for (String k: p.keySet()) {
				String v = p.get(k).replaceAll(",", "\\,").replaceAll(";", "\\;");
				s.append(k + ":" + URLEncoder.encode(v,"UTF-8") +  ";");
			}
		}

		return s.toString();		
	}

	public String getMapserverParamsString(String serverID) throws UnsupportedEncodingException {
		Map<String, String> p = getParamsByServerID(serverID);
		
		StringBuffer s = new StringBuffer();
		
		if (p.size()>0) {
			for (String k: p.keySet()) {
				String v = p.get(k);
				s.append(k + "=" + URLEncoder.encode(v,"UTF-8") + "&");
			}
			s.deleteCharAt(s.length()-1);
		}	

		return s.toString();
	}
*/
		
	/*
	 * customQueryForServer: function(customQuery, serverID){
			var retVal = {};
			
			for (var p in customQuery) {
				if (customQuery[p] instanceof Object) {
					if (p == serverID) {
						Ext.apply(retVal, customQuery[p]);
					}
				} else {
					retVal[p] = customQuery[p];
				}
			}
			return retVal;
		},
		
	 */
	
}
