/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/

package it.prato.comune.sit.ows;

/**
 * Classe contenente il bounding box del layer
 * 
 * @author Ing. Alessandro Radaelli
 *
 */
public class WMSLayerCapabilitiesBBox {

	private String epsg;
	private Double minX;
	private Double minY;
	private Double maxX;
	private Double maxY;
	/**
	 * @return the epsg
	 */
	public String getEpsg() {
		return epsg;
	}
	/**
	 * @param epsg the epsg to set
	 */
	public void setEpsg(String epsg) {
		this.epsg = epsg;
	}
	/**
	 * @return the minx
	 */
	public Double getMinX() {
		return minX;
	}
	/**
	 * @param minx the minx to set
	 */
	public void setMinX(Double minX) {
		this.minX = minX;
	}
	/**
	 * @return the miny
	 */
	public Double getMinY() {
		return minY;
	}
	/**
	 * @param miny the miny to set
	 */
	public void setMinY(Double minY) {
		this.minY = minY;
	}
	/**
	 * @return the maxx
	 */
	public Double getMaxX() {
		return maxX;
	}
	/**
	 * @param maxx the maxx to set
	 */
	public void setMaxX(Double maxX) {
		this.maxX = maxX;
	}
	/**
	 * @return the maxy
	 */
	public Double getMaxY() {
		return maxY;
	}
	/**
	 * @param maxy the maxy to set
	 */
	public void setMaxY(Double maxY) {
		this.maxY = maxY;
	}
	
	
	
}
